hicolordir = $(datadir)/icons/hicolor
app_icons = \
	cthulhu-16x16.png		\
	cthulhu-22x22.png		\
	cthulhu-24x24.png		\
	cthulhu-32x32.png		\
	cthulhu-48x48.png		\
	cthulhu-256x256.png	\
	cthulhu-scalable.svg 	\
	cthulhu-symbolic.svg

install-data-local:
	@-$(mkinstalldirs) $(DESTDIR)$(hicolordir)/16x16/apps
	$(INSTALL_DATA) $(srcdir)/cthulhu-16x16.png $(DESTDIR)$(hicolordir)/16x16/apps/cthulhu.png
	@-$(mkinstalldirs) $(DESTDIR)$(hicolordir)/22x22/apps
	$(INSTALL_DATA) $(srcdir)/cthulhu-22x22.png $(DESTDIR)$(hicolordir)/22x22/apps/cthulhu.png
	@-$(mkinstalldirs) $(DESTDIR)$(hicolordir)/24x24/apps
	$(INSTALL_DATA) $(srcdir)/cthulhu-24x24.png $(DESTDIR)$(hicolordir)/24x24/apps/cthulhu.png
	@-$(mkinstalldirs) $(DESTDIR)$(hicolordir)/32x32/apps
	$(INSTALL_DATA) $(srcdir)/cthulhu-32x32.png $(DESTDIR)$(hicolordir)/32x32/apps/cthulhu.png
	@-$(mkinstalldirs) $(DESTDIR)$(hicolordir)/48x48/apps
	$(INSTALL_DATA) $(srcdir)/cthulhu-48x48.png $(DESTDIR)$(hicolordir)/48x48/apps/cthulhu.png
	@-$(mkinstalldirs) $(DESTDIR)$(hicolordir)/scalable/apps
	$(INSTALL_DATA) $(srcdir)/cthulhu-scalable.svg $(DESTDIR)$(hicolordir)/scalable/apps/cthulhu.svg
	@-$(mkinstalldirs) $(DESTDIR)$(hicolordir)/symbolic/apps
	$(INSTALL_DATA) $(srcdir)/cthulhu-symbolic.svg $(DESTDIR)$(hicolordir)/symbolic/apps/cthulhu-symbolic.svg
	
gtk_update_icon_cache = gtk-update-icon-cache -f -t $(datadir)/icons/hicolor

install-data-hook:
	@-if test -z "$(DESTDIR)"; then \
		echo "Updating Gtk icon cache."; \
		$(gtk_update_icon_cache); \
	else \
		echo "*** Icon cache not updated.  After install, run this:"; \
		echo "***   $(gtk_update_icon_cache)"; \
	fi

uninstall-hook:
	rm -f $(DESTDIR)$(hicolordir)/16x16/apps/cthulhu.png
	rm -f $(DESTDIR)$(hicolordir)/22x22/apps/cthulhu.png
	rm -f $(DESTDIR)$(hicolordir)/24x24/apps/cthulhu.png
	rm -f $(DESTDIR)$(hicolordir)/32x32/apps/cthulhu.png
	rm -f $(DESTDIR)$(hicolordir)/48x48/apps/cthulhu.png
	rm -f $(DESTDIR)$(hicolordir)/scalable/apps/cthulhu.svg
	rm -f $(DESTDIR)$(hicolordir)/symbolic/apps/cthulhu-symbolic.svg
	@-if test -z "$(DESTDIR)"; then \
		echo "Updating Gtk icon cache."; \
		$(gtk_update_icon_cache); \
	else \
		echo "*** Icon cache not updated.  After uninstall, run this:"; \
		echo "***   $(gtk_update_icon_cache)"; \
	fi

update-icon-cache:

EXTRA_DIST = $(app_icons)
